This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 491683 - virt-manager no longer auto adjusts to guest screen size
virt-manager no longer auto adjusts to guest screen size
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
21
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
: Reopened
: 499111 499534 500996 (view as bug list)
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-03-23 12:01 EDT by Jesse Keating
Modified: 2015-04-28 09:37 EDT (History)
15 users (show)

See Also:
Fixed In Version: 0.7.0-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-26 16:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of Vm window just after opening (41.39 KB, image/png)
2009-05-06 07:39 EDT, Ralf Ertzinger
no flags Details

  None (edit)
Description Jesse Keating 2009-03-23 12:01:00 EDT
When doing an install in KVM, starting in text mode the viewer screen is properly sized, but when X starts the viewer window no longer adjusts its size to match the new size of the guest screen.  This leaves me with only the upper left corner of the X display visible and the rest is hidden until I adjust the window size of the viewer.
Comment 1 Mark McLoughlin 2009-03-25 14:06:57 EDT
Jesse - does playing with the "Graphical Console Scaling" preference help?
Comment 2 Jesse Keating 2009-03-25 15:00:01 EDT
No, as that scales the display for the size of the virt-viewer window, rather than scaling the virt-viewer window for the size of the display.
Comment 3 Cole Robinson 2009-04-06 13:37:12 EDT
I can't reproduce this on a fully updated rawhide. I'm using:

sudo virt-install --name f11-install --ram 1500 --vcpus 2 --location some-rawhide-url --os-variant fedora11 --disk pool=default,size=2 --accelerate

When virt-viewer pops up, it enters text mode. I give it the basic input, network is brought up, stage-2 is fetched, and transition into the graphical screen causes virt-viewer to resize and fit the new resolution. Having scaling on or off doesn't affect the result. Same behavior seen when kicking off an F10 install.

Jesse, are you still seeing this? Can you give an example virt-install command you are using? How do my steps differ from yours?
Comment 4 Jesse Keating 2009-04-07 14:01:48 EDT
The virt-install is being done on another machine, via koan.  It is a remote guest that I am connecting to via a local virt-manager.  The remote guest starts and I see it show up in the guest list of the remote virt-manager system in my local virt-manager window.  I double click on the guest to create a viewer for it.  It is this viewer window that no longer autosizes as the guest changes size (from bios, to text mode for install, to graphical mode for install/boot).
Comment 5 Jan ONDREJ 2009-04-10 09:32:41 EDT
Same problem on Fedora 10 (updates-testing).
After starting installation, virt-viewer size is larger than text mode install, so it works well. When installer starts X, virt-viewer window size has same size and some buttons from installer are not visible.
Comment 6 Panormitis Petrou 2009-04-24 21:16:10 EDT
I have the same problem, virt-viewer doesn't auto resize. I'm using Fedora 11 Beta x86_64.
Comment 7 Cole Robinson 2009-04-27 07:36:10 EDT
Danpb, any ideas?
Comment 8 Jens Petersen 2009-05-05 04:49:03 EDT
Hmm I take it this is unrelated to a similar problem with virt-manager console assuming fullscreen?
Comment 9 Daniel Berrange 2009-05-06 07:02:35 EDT
I can't reproduce this and no one has provided any details of the versions they are using. Someone who can reproduce it, please provide

 - Host OS version
 - virt-manger RPM version
 - gtk-vnc RPM version

And clear steps on how demonstrating the problem.
Comment 10 Ralf Ertzinger 2009-05-06 07:38:17 EDT
Host-OS version: something between beta and RC

Linux dhcp03.addix.net 2.6.29.1-102.fc11.i686.PAE #1 SMP Mon Apr 20 15:30:47 EDT 2009 i686 i686 i386 GNU/Linux
package qemu-kvm is not installed
libvirt-0.6.2-3.fc11.i586
virt-manager-0.7.0-4.fc11.i586
gtk-vnc-0.3.8-8.fc11.i586

System is already running, with a Windows 2000 under qemu-kvm running in the background.

Steps to reproduce:

a) start virt-manager
b) double click on entry for running windows 2000 machine
c) Virtual machine window opens with wrong size (see attached screenshot)
d) Virtual machine window can be resized at will (larger or smaller than guest resolution)
Comment 11 Ralf Ertzinger 2009-05-06 07:39:07 EDT
Created attachment 342633 [details]
Screenshot of Vm window just after opening
Comment 12 Jan ONDREJ 2009-05-06 07:43:11 EDT
fedora-release-10.93-2.noarch
virt-manager-0.7.0-4.fc11.i586
virt-viewer-0.0.3-4.fc11.i586
gtk-vnc-0.3.8-8.fc11.i586

Is it possible, this has something with window manager?

This problem has been started, when "scale only on fullscreen" has been added. Older version does not fix window size, but scalling can fit virtual screen into current window.

Try to turn on "scale only on fullscreen" or disable scaling and then install F10 or F11 in graphics mode. On F11 there is also another bug caused by this:
https://bugzilla.redhat.com/show_bug.cgi?id=499111
Comment 13 Daniel Berrange 2009-05-06 11:44:03 EDT
This is caused by the following changeset between 0.6.0 and 0.7.0 virt-manager

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virt-manager--devel/rev/50db2a43966f

Specifically, these 2 lines change to vmm-details.glade

 2.7 + <property name="width_request">800</property>
 2.8 + <property name="height_request">600</property> 


Removing them makes the window resize as desired again.
Comment 14 Daniel Berrange 2009-05-06 11:44:34 EDT
*** Bug 499111 has been marked as a duplicate of this bug. ***
Comment 15 Cole Robinson 2009-05-06 12:18:28 EDT
Hmm, a lot of the reporters are explictly saying 'virt-viewer', so maybe there is also another issue here?

Is anyone seeing this issue _outside_ of virt-manager, with the standalone 'virt-viewer' tool (the one launched by virt-install)?
Comment 16 Jan ONDREJ 2009-05-06 12:51:42 EDT
I can't confirm this for virt-viewer.

Also works well after reverse-applying part of patch to virt-manager.
Comment 17 Jens Petersen 2009-05-06 20:18:53 EDT
(In reply to comment #15)
> Hmm, a lot of the reporters are explictly saying 'virt-viewer', so maybe there
> is also another issue here?
> 
> Is anyone seeing this issue _outside_ of virt-manager, with the standalone
> 'virt-viewer' tool (the one launched by virt-install)?  

Right I think Jesse might be using virsh and virt-install.
Comment 18 Jesse Keating 2009-05-06 22:38:15 EDT
I think I mistakenly used the term virt-viewer.  On the remote machine I use koan to do the install, and on my local machine I'm using virt-manager to connect to the remote system and view the guest in question.
Comment 19 Jens Petersen 2009-05-07 01:23:03 EDT
Ok, thanks, then guess Jan is right about my duplicate.

Can we have a build with the above fix please to test?
Comment 20 Jens Petersen 2009-05-07 01:24:23 EDT
*** Bug 499111 has been marked as a duplicate of this bug. ***
Comment 21 Jan ONDREJ 2009-05-07 01:57:17 EDT
(In reply to comment #19)
> Can we have a build with the above fix please to test?  

I have it at my local builder:
  http://builder.salstar.sk/local/10/i386/virt/virt-manager-0.7.0-4.fc10.1.i386.rpm

or for rawhide:
  http://builder.salstar.sk/fedora-rawhide-i386/result/
(only temporary, before I rebuild something else).
Comment 22 Jesse Keating 2009-05-07 10:48:27 EDT
*** Bug 499534 has been marked as a duplicate of this bug. ***
Comment 23 Mark McLoughlin 2009-05-21 11:02:57 EDT
Pushing an update to updates-test with Dan's fix for this; please add a comment to bodhi if you test this

* Thu May 21 2009 Mark McLoughlin <markmc@redhat.com> - 0.7.0-5.fc11
- Fix 'opertaing' typo in 'New VM' dialog (#495128)
- Allow details window to resize again (#491683)
- Handle collecting username for vnc authentication (#499589)
- Actually handle arch config when creating a VM (#499145)
- Log libvirt capabilities at startup to aid debugging (#500337)
Comment 24 Fedora Update System 2009-05-21 11:08:55 EDT
virt-manager-0.7.0-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/virt-manager-0.7.0-5.fc11
Comment 25 Mark McLoughlin 2009-05-25 10:05:53 EDT
*** Bug 500996 has been marked as a duplicate of this bug. ***
Comment 26 Fedora Update System 2009-05-25 17:11:51 EDT
virt-manager-0.7.0-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5410
Comment 27 Jan ONDREJ 2009-05-27 07:50:50 EDT
(In reply to comment #23)
> Pushing an update to updates-test with Dan's fix for this; please add a comment
> to bodhi if you test this
> 
> * Thu May 21 2009 Mark McLoughlin <markmc@redhat.com> - 0.7.0-5.fc11

Works well too.
Comment 28 Fedora Update System 2009-06-04 17:17:43 EDT
virt-manager-0.7.0-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Raphael Groner 2015-04-26 16:10:24 EDT
There seems to be a regression:
virt-manager-1.1.0-5.git310f6527.fc21.noarch
Comment 31 Raphael Groner 2015-04-26 16:12:12 EDT
I have to go once into fullscreen mode to be able to set the maximal resolution in a legacy gtk2 environment like Xfce 4.10 is (e.g. with Fedora 20 or CentOS 7.x).
Comment 32 Raphael Groner 2015-04-26 16:14:38 EDT
It seems to scale down a higher resolution of the guest rightly to the smaller window when the check mark is removed from "Auto resize VM with window".
Comment 33 Cole Robinson 2015-04-26 16:54:45 EDT
Reopening a 6 year old bug is not good form. Even if the symptoms are the same, the code in this area is about 100% different these days. Please file a new bug, describing exactly what you are attempting to do, what results you expect, and what incorrect results you are getting

Note You need to log in before you can comment on or make changes to this bug.